<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$subnet_id = sanitize($_GET['subnet_id']);

include("header.php");

// subnet
$sql = "SELECT subnet_id AS id, subnet_address AS address, subnet_mask AS mask
        FROM subnet
        WHERE subnet_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$subnet_id]);
$smarty->assign("subnet", $sth->fetch(PDO::FETCH_OBJ));

// locations for subnet
$sql = "SELECT l.location_id, l.location_name
        FROM subnetlocation AS s LEFT JOIN location USING (location_id)
        WHERE s.subnet_id=?
        ORDER BY l.location_name";
$sth = $dbh->prepare($sql);
$sth->execute([$subnet_id]
$records = $sth->fetchAll();

$locations = array();
foreach ($records as $rec) {
    $locations[$rec['location_id']] = $rec['location_name'];
}
$smarty->assign("location_options", $locations);

$smarty->display("subnetlocationdel.tpl");

include("footer.php");
?>
